File libdmapsharing.changes of Package libdmapsharing

-------------------------------------------------------------------
Wed Apr 11 08:20:43 UTC 2012 - vuntz@opensuse.org

- Update to version 2.9.15:
  + Change "Ignoring local service..." message from g_warning to
    g_debug
  + Use pkg-config's uninstalled feature with vapigen

-------------------------------------------------------------------
Wed Jan 18 07:06:28 UTC 2012 - vuntz@opensuse.org

- Update to version 2.9.14:
  + Use single include for glib.

-------------------------------------------------------------------
Tue Nov 15 16:46:49 UTC 2011 - vuntz@opensuse.org

- Update to version 2.9.13:
  + Use decodebin2 instead of decodebin.
  + Make Apple dns_sd DMAPMdnsBrowser work with multiple shares.
  + Several small bug fixes.
  + Plug memory leaks.
  + Code cleanups.
  + Build fixes.
- Drop libdmapsharing-missing-header.patch: fixed upstream.

-------------------------------------------------------------------
Mon Jul  4 10:07:31 CEST 2011 - vuntz@opensuse.org

- Update to version 2.9.12. This is a summary of the changes in the
  2.9.x branch:
  + Various API changes.
  + Attempt to serve on IPv6.
  + Fix authentication.
  + Add support for Remote version 2.
  + Add client-side DNS-SD.
  + Declare support for raop on mDNS (used by AirPortExpress).
  + Make library useful without GStreamer.
  + Vala-related clean up.
  + Several compatibility fixes.
  + Several bug fixes.
  + Code cleanups.
- Summary of changes introduced in the 2.1.x branches:
  + Add DACP support.
  + Fix serving to iTunes 10.
  + Allow two DMAP sub-protocols (e.g., DAAP and DPAP) in one
    process.
  + Several bug fixes.
- Change libsoup-devel BuildRequires to pkgconfig(libsoup-2.4).
- Add missing pkgconfig(gdk-pixbuf-2.0) BuildRequires, needed for
  cover art features.
- Remove pkgconfig(avahi-compat-libdns_sd) BuildRequires: we know
  it will not be used for dns-sd, as the standard avahi API will be
  used.
- Add libdmapsharing-missing-header.patch to fix build: add a
  missing include.
- Rename libdmapsharing2 to libdmapsharing-3_0-2 after library name
  change.
- Update descriptions.
- Stop using source service to download the tarball, as Factory
  will move away from this.

-------------------------------------------------------------------
Sun May 22 16:11:40 UTC 2011 - davejplater@gmail.com

- Update to stable version 2.1.9 added mDNSResponder capability.

-------------------------------------------------------------------
Sun May  1 17:35:27 UTC 2011 - toddrme2178@gmail.com
 
- Added 32bit compatibility libraries
- Added Url (fix for RPMLINT warning)
 
-------------------------------------------------------------------
Fri Sep 10 15:39:56 CEST 2010 - dimstar@opensuse.org

- Update to version 2.0.4:
  + Fix SO_VERSION and bump version number
- Changes from version 2.0.3:
  + Add DMAPMediaKind enum
- Changes from version 2.0.2:
  + Fix serving to iTunes 10

-------------------------------------------------------------------
Mon Sep  6 12:20:23 UTC 2010 - dimstar@opensuse.org

- Go back to version 2.0.1 (stable branch):
  + 2.1.0 is considered unstable and should not be used yet
  + Fixes the license headers in various source files, making clear
    that LGPLv2.1+ is the right license.
- Rename the shlib package to libdmapsharing1, according the soname
  of this version.

-------------------------------------------------------------------
Tue Aug 31 10:26:57 UTC 2010 - dimstar@opensuse.org

- Initial package, version 2.1.0